import React from "react";
import { render, screen } from "@testing-library/react";
import axios from "axios";

import App from "./App";

const responseMock = [
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "trustdragon", matchLevel: "none" },
    },
    _tags: ["comment", "author_trustdragon", "story_26201160"],
    _id: "6030a5f6ed5f5948f723eef3",
    objectID: "26201825",
    author: "trustdragon",
    comment_text: "The more nodes you put the more crazy the motion.",
    created_at: "2021-02-20T05:20:43.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Draw an iceberg and see how it would float in water",
    story_url: "https://joshdata.me/iceberger.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "c-smile", matchLevel: "none" },
    },
    _tags: ["comment", "author_c-smile", "story_26194990"],
    _id: "6030a5f6ed5f5948f723eef4",
    objectID: "26201058",
    author: "c-smile",
    comment_text:
      'Modern browsers do fail on ACID tests anyway. display:flex broke old box model.<p>&gt; one can share the millions of frameworks ...<p>For your *desktop* application you need just one, not millions of them.<p>&gt; libraries and muscle memory<p>Not a problem, here I am using Remarkable [1] as it is: <a href="https:&#x2F;&#x2F;github.com&#x2F;c-smile&#x2F;sciter-js-sdk&#x2F;tree&#x2F;main&#x2F;samples&#x2F;markdown" rel="nofollow">https:&#x2F;&#x2F;github.com&#x2F;c-smile&#x2F;sciter-js-sdk&#x2F;tree&#x2F;main&#x2F;samples&#x2F;m...</a>, in other places I may use LeafletJS for showing maps, etc. Essentially all libraries for JS&#x2F;NodeJS should work out of box.<p>Problem is that desktop UI has different UI model from a web page.\nWeb page &#x2F; Web app is usually &quot;endless paper tape&quot; opened full screen - has defined width but no height - no need for vertical alignment for example.<p>And desktop UI is usually different - small or vertically and horizontally space limited windows, etc.<p>In Sciter you can show element as popup one - in separate window that can be rendered outside of your [small] app window, consider this popup: <a href="https:&#x2F;&#x2F;sciter.com&#x2F;wp-content&#x2F;uploads&#x2F;2021&#x2F;02&#x2F;select-table.png" rel="nofollow">https:&#x2F;&#x2F;sciter.com&#x2F;wp-content&#x2F;uploads&#x2F;2021&#x2F;02&#x2F;select-table.p...</a> , good luck with recreating this in browser. By the way that &lt;select&gt; element is defined as:<p><pre><code>   &lt;select&gt;\n        &lt;tr role=option value=&quot;1&quot;&gt;\n            &lt;td&gt;Option 1&lt;&#x2F;td&gt;\n            &lt;td&gt;*Short*&lt;&#x2F;td&gt;\n            &lt;td&gt;123456&lt;&#x2F;td&gt;\n        &lt;&#x2F;tr&gt;\n        &lt;tr role=option value=&quot;2&quot;&gt;\n            &lt;td&gt;Option 2&lt;&#x2F;td&gt;\n            &lt;td&gt;******* LOONG ********&lt;&#x2F;td&gt;\n            &lt;td&gt;123456&lt;&#x2F;td&gt;\n        &lt;&#x2F;tr&gt;\n        &lt;tr role=option value=&quot;3&quot;&gt;\n            &lt;td&gt;Option 3&lt;&#x2F;td&gt;\n            &lt;td&gt;*Short*&lt;&#x2F;td&gt;\n            &lt;td&gt;123456&lt;&#x2F;td&gt;\n        &lt;&#x2F;tr&gt;\n   &lt;&#x2F;select&gt;\n</code></pre>\nSciter supports arbitrary markup in selects, popups, etc. No one of &quot;millions of frameworks&quot; will help you with that.<p>Also this<p><pre><code>   &lt;frameset cols=&quot;200px,*&quot;&gt;\n     &lt;section&gt;A&lt;&#x2F;section&gt;\n     &lt;section&gt;B&lt;&#x2F;section&gt;\n   &lt;&#x2F;frameset&gt;\n</code></pre>\nwill give you split-view out-of-the-box. But web dev&#x27;s will start looking for frameworks in order to achieve this simple component that browser have internally.<p>TL;DR: Web and desktop UIs use inherently different models. You can share parts between these two different platforms but only parts, really.<p>[1] Remarkable JS:  <a href="https:&#x2F;&#x2F;github.com&#x2F;jonschlinkert&#x2F;remarkable" rel="nofollow">https:&#x2F;&#x2F;github.com&#x2F;jonschlinkert&#x2F;remarkable</a>',
    created_at: "2021-02-20T02:52:52.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Tauri: An Electron alternative written in Rust",
    story_url: "https://tauri.studio/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "bouncycastle", matchLevel: "none" },
    },
    _tags: ["comment", "author_bouncycastle", "story_26198210"],
    _id: "6030a5f6ed5f5948f723eef5",
    objectID: "26200824",
    author: "bouncycastle",
    comment_text:
      "Yeah, correct.<p>Even if you do control 51%, it would be a big long term capital and operational expense to do so, so you&#x27;d probably want to play nice rather than destroy what you&#x27;ve built.<p>Besides, even if you attack it, a new network will just spring up again, possibly with a different mining algorithm, making your old mining gear obsolete.<p>Also, in PoS, another last resort &quot;nuclear option&quot; defence strategy would be to slash the nodes that attack the network through a hard fork. It&#x27;s a &quot;nuclear option&quot; because in theory it&#x27;s unlikely to happen, only used a deterrent.<p>&quot;Slash&quot; here means to confiscate and burn their staking deposit on the new network. (The old one will continue to operate where the arrackers reside, thus a &quot;fork&quot;)",
    created_at: "2021-02-20T02:13:11.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "BTC Endgame",
    story_url: "https://github.com/mikekelly/btc-endgame",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "datagram", matchLevel: "none" },
    },
    _tags: ["comment", "author_datagram", "story_26194990"],
    _id: "6030a5f6ed5f5948f723eef6",
    objectID: "26200348",
    author: "datagram",
    comment_text:
      "Tauri apps don&#x27;t use the NodeJS runtime. You have to write your app&#x27;s backend in Rust. Like you said, the NodeJS runtime is tens of MB; if you look at their demo app you&#x27;ll see that it doesn&#x27;t even break 3MB.",
    created_at: "2021-02-20T01:11:32.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Tauri: An Electron alternative written in Rust",
    story_url: "https://tauri.studio/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: {
        matchedWords: ["nodejs"],
        value: "<em>nodes</em>ocket",
        matchLevel: "full",
      },
    },
    _tags: ["comment", "author_nodesocket", "story_26199410"],
    _id: "6030a5f6ed5f5948f723eef7",
    objectID: "26200142",
    author: "nodesocket",
    comment_text:
      'This behavior starts all the way at the top with Sergey. See Google&#x27;s leaked internal all-hands[1] after Trump won basically calling for the end of the world without any regard to employees who may be fiscally conservative or Trump supporters. Google is by far the worse of the big bay area tech companies in terms of stifling speech, equality of outcome policies, and being an echo chamber.<p>[1] <a href="https:&#x2F;&#x2F;www.cnbc.com&#x2F;2018&#x2F;09&#x2F;12&#x2F;leaked-video-from-alphabet-tgif-meeting-after-president-trump-election.html" rel="nofollow">https:&#x2F;&#x2F;www.cnbc.com&#x2F;2018&#x2F;09&#x2F;12&#x2F;leaked-video-from-alphabet-t...</a>',
    created_at: "2021-02-20T00:45:33.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Margaret Mitchell fired from Google",
    story_url:
      "https://www.axios.com/google-fires-another-ai-ethics-leader-6ef7dcd5-4583-4396-b5b3-129547ff3091.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "hcarvalhoalves", matchLevel: "none" },
    },
    _tags: ["comment", "author_hcarvalhoalves", "story_26190584"],
    _id: "6030a5f6ed5f5948f723eefa",
    objectID: "26198876",
    author: "hcarvalhoalves",
    comment_text:
      "I&#x27;m not proposing to code like a monolith - but I don&#x27;t see a reason there can&#x27;t be <i>a</i> programming model that unifies that.<p>APIs like Spark, for instance, make it largely transparent - processes are scheduled by the driver in nodes w&#x2F; hot data caches, and processes that fail are transparently retried; and yet this doesn&#x27;t impact how you write your query. Effects systems are another thing can help us reason around i&#x2F;o as function calls and handle the fail-ability.<p>I would bet it&#x27;s a matter of lacking good accepted patterns instead of a theoretical impossibility.",
    created_at: "2021-02-19T22:30:01.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Monolith First (2015)",
    story_url: "https://martinfowler.com/bliki/MonolithFirst.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "nine_k", matchLevel: "none" },
    },
    _tags: ["comment", "author_nine_k", "story_26198210"],
    _id: "6030a5f6ed5f5948f723eefb",
    objectID: "26198837",
    author: "nine_k",
    comment_text:
      "Why won&#x27;t it make transactions prohibitively expensive? Each transaction needs a trustless agreement of many, many nodes.",
    created_at: "2021-02-19T22:26:51.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "BTC Endgame",
    story_url: "https://github.com/mikekelly/btc-endgame",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "undreren", matchLevel: "none" },
    },
    _tags: ["comment", "author_undreren", "story_26187376"],
    _id: "6030a5f6ed5f5948f723eefc",
    objectID: "26198576",
    author: "undreren",
    comment_text:
      "If all nodes had a 1:1,000,000,000 chance to randomly flip every tick, then resilient structures would probably arise eventually, given a very large (or infinite) board.",
    created_at: "2021-02-19T21:59:08.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "The Lasting Lessons of John Conway’s Game of Life (2020)",
    story_url:
      "https://www.nytimes.com/2020/12/28/science/math-conway-game-of-life.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "karmicthreat", matchLevel: "none" },
    },
    _tags: ["comment", "author_karmicthreat", "story_26194764"],
    _id: "6030a5f6ed5f5948f723eefd",
    objectID: "26198308",
    author: "karmicthreat",
    comment_text:
      "Is Tor even secure against state actors anymore? I always assumed that the 5 eyes countries at a minimum have enough nodes to track you down.",
    created_at: "2021-02-19T21:34:40.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title:
      "Brave Browser leaks your Tor / Onion service requests through DNS",
    story_url:
      "https://ramble.pw/f/privacy/2387/brave-browser-leaks-your-tor-onion-service-requests-through",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "blisseyGo", matchLevel: "none" },
    },
    _tags: ["comment", "author_blisseyGo", "story_26170209"],
    _id: "6030a5f6ed5f5948f723eefe",
    objectID: "26198020",
    author: "blisseyGo",
    comment_text:
      '&gt; After that, pricing starts at $25 per month for up to 15,000 requests.<p>This is very expensive for any decent usage. I have used tools like metascraper for this purpose and it worked pretty well. Setup just requires throwing a tiny nodejs app on a raspberry pi or $5 server and that can handle tons of requests.<p><a href="https:&#x2F;&#x2F;github.com&#x2F;microlinkhq&#x2F;metascraper" rel="nofollow">https:&#x2F;&#x2F;github.com&#x2F;microlinkhq&#x2F;metascraper</a>',
    created_at: "2021-02-19T21:05:24.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Show HN: Link Preview (Unfurl/Expand) API",
    story_url: "https://www.dashkite.com/products/link-preview",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "ChuckNorris89", matchLevel: "none" },
    },
    _tags: ["comment", "author_ChuckNorris89", "story_26197280"],
    _id: "6030a5f6ed5f5948f723eeff",
    objectID: "26198018",
    author: "ChuckNorris89",
    comment_text:
      "That&#x27;s not how hardening chips works.<p>You need a specialized fab manufacturing, etching and packaging process for this and it&#x27;s not like regular fabs are cheap to begin with. Plus you&#x27;re working from the start with much larger nodes with dedicated cell libraries so everything has to be designed from scratch to fit that node which means you can&#x27;t reuse consumer off the shelf designs very easily.<p>Then there&#x27;s the lack of economies of scale in building such custom parts in small numbers. I imagine if Apple would only order 100 5nm chips per year from TSMC, the unit price would be equally eye watering.",
    created_at: "2021-02-19T21:05:12.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title:
      "Mars becomes the 2nd planet that has more computers running Linux than Windows",
    story_url: "https://twitter.com/mikko/status/1362763793042972673",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "bob1029", matchLevel: "none" },
    },
    _tags: ["comment", "author_bob1029", "story_26189995"],
    _id: "6030a5f6ed5f5948f723ef00",
    objectID: "26197920",
    author: "bob1029",
    comment_text:
      "I would recommend reviewing my prior comments on this, as I address the concerns of multiple nodes needing to be able to independently produce identities without collisions or coordination.<p>If you know beforehand the maximum number of participants in your system, you can divide the keyspace across that quantity. If you are using BigInteger or equivalent, you have an infinite number of these things to work with, so it doesnt really matter if you wind up skipping trillions of identities at first. The original article even advocates for this as its first point, but without as much practical justification.",
    created_at: "2021-02-19T20:55:13.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Things you should do now (2011)",
    story_url:
      "https://secure.phabricator.com/book/phabflavor/article/things_you_should_do_now/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "CivBase", matchLevel: "none" },
    },
    _tags: ["comment", "author_CivBase", "story_26194990"],
    _id: "6030a5f6ed5f5948f723ef01",
    objectID: "26196374",
    author: "CivBase",
    comment_text:
      "From the roadmap:<p>&gt; Go, Nim, Python, C++ and other bindings are possible with the stable API.<p>I think something like this might actually have a lot of potential, specifically because it&#x27;s much easier to create bindings for other languages with Rust than with JavaScript.<p>You&#x27;re stuck with a NodeJS runtime to run an Electron app, even if you &quot;compile&quot; it.  You could theoretically make bindings to another language, but you&#x27;d still be dependent on that NodeJS runtime.  But this could theoretically be compiled to a relatively lightweight DLL and interfaced with using practically any language you want.<p>The page logic would still need to be JavaScript, of course, but that&#x27;s just the nature of webviews for now.",
    created_at: "2021-02-19T18:41:36.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Tauri: An Electron alternative written in Rust",
    story_url: "https://tauri.studio/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "avz", matchLevel: "none" },
    },
    _tags: ["comment", "author_avz", "story_26184190"],
    _id: "6030a5f6ed5f5948f723ef02",
    objectID: "26195591",
    author: "avz",
    comment_text:
      'In the absence of a physicist, I suppose that a software engineer in the room might do. After all, the counterintuitive consequences of relativity have their counterparts in counterintuitive effects in distributed systems and concurrent programming. In both cases, the core issue that misleads our intuition is the lack of a shared global clock that would impose a total ordering [1] on events&#x2F;reads&#x2F;writes&#x2F;etc. Instead, events in both situations are only ordered partially [2]. In relativity the ordering is determined by the speed of light, in distributed systems the ordering is determined by what messages have been exchanged by two nodes and in concurrent programming reads and writes are ordered by synchronization actions such as lock acquisition and release, memory barriers etc (c.f. the happens-before relationship in JMM [3] and other memory models).<p>See for example [4] and [5].<p>[1]: <a href="https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Total_order" rel="nofollow">https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Total_order</a><p>[2]: <a href="https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Partially_ordered_set" rel="nofollow">https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Partially_ordered_set</a><p>[3]: <a href="https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Java_memory_model" rel="nofollow">https:&#x2F;&#x2F;en.wikipedia.org&#x2F;wiki&#x2F;Java_memory_model</a><p>[4]: <a href="https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=UYZIHP120go" rel="nofollow">https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=UYZIHP120go</a><p>[5]: <a href="https:&#x2F;&#x2F;www.microsoft.com&#x2F;en-us&#x2F;research&#x2F;publication&#x2F;time-clocks-ordering-events-distributed-system&#x2F;" rel="nofollow">https:&#x2F;&#x2F;www.microsoft.com&#x2F;en-us&#x2F;research&#x2F;publication&#x2F;time-cl...</a>',
    created_at: "2021-02-19T17:37:44.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "Perseverance Rover lands on Mars [video]",
    story_url: "https://www.youtube.com/watch?v=gm0b_ijaYMQ",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "Ambix", matchLevel: "none" },
    },
    _tags: ["comment", "author_Ambix", "story_26188765"],
    _id: "6030a5f6ed5f5948f723ef03",
    objectID: "26194767",
    author: "Ambix",
    comment_text:
      'The most important part is Workerman and its efficient network arhitecture based on libevent. The other part is efficient DB drivers. Thats why Comet ranks much higher than Go &#x2F; NodeJS &#x2F; Python frameworks in DB higloaded test:<p><a href="https:&#x2F;&#x2F;www.techempower.com&#x2F;benchmarks&#x2F;#section=data-r20&amp;hw=ph&amp;test=query" rel="nofollow">https:&#x2F;&#x2F;www.techempower.com&#x2F;benchmarks&#x2F;#section=data-r20&amp;hw=...</a>',
    created_at: "2021-02-19T16:27:16.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title:
      "12 requests per second: A realistic look at Python web frameworks",
    story_url: "https://suade.org/dev/12-requests-per-second-with-python/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "sneak", matchLevel: "none" },
    },
    _tags: ["comment", "author_sneak", "story_26193769"],
    _id: "6030a5f6ed5f5948f723ef04",
    objectID: "26194556",
    author: "sneak",
    comment_text:
      "&gt; <i>First, was the network setup. We needed to merge multi-site networks into a mesh topology network where all the nodes could be interconnected which was solved using a hub and spoke topology VPN. Although, it does have its own drawbacks it had a good cost-benefit ratio when it comes to setup and deployment and is working for us for now.</i><p>How is &quot;mesh&quot; solved with &quot;hub and spoke&quot;? If your hub goes offline, everything stops; the whole point of a mesh is to avoid the SPOF.<p>&gt; <i>Next, was building the dashboard which not only required the making of the UI but required figuring out how we’re going to expose and manage resources in our shop network. We decided to build the backend in the spirit of Kubernetes, so it is easy to manage at scale with the addition of new sensors, machines and full-blown sites themselves.</i><p>What does that mean? Docker containers?",
    created_at: "2021-02-19T16:07:13.000Z",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    story_title: "We are starting to operate our CNC machines remotely",
    story_url:
      "https://1d.works/how-we-started-operating-our-cnc-machines-remotely/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "JMTQp8lwXL", matchLevel: "none" },
    },
    _tags: ["comment", "author_JMTQp8lwXL", "story_26190324"],
    _id: "60307ec8ed5f5948f723e487",
    objectID: "26190391",
    author: "JMTQp8lwXL",
    comment_text:
      "The invite-only approach was genius on their part. They also had the capital to get high-profile people in up front.<p>Once you&#x27;re in, you can trace your invite tree which is fun. I traversed 9 nodes upward before I reached my root.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-19T06:36:57.000Z",
    story_title: "Clubhouse reaches 8M downloads on the iOS App Store",
    story_url:
      "https://9to5mac.com/2021/02/18/clubhouse-reaches-8-million-downloads-on-the-ios-app-store/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "keeperofdakeys", matchLevel: "none" },
    },
    _tags: ["comment", "author_keeperofdakeys", "story_26176448"],
    _id: "60307ec8ed5f5948f723e488",
    objectID: "26189587",
    author: "keeperofdakeys",
    comment_text:
      'You still have bugs like this when you generate certs with an empty CommonName field, <a href="https:&#x2F;&#x2F;github.com&#x2F;nodejs&#x2F;node&#x2F;issues&#x2F;11771" rel="nofollow">https:&#x2F;&#x2F;github.com&#x2F;nodejs&#x2F;node&#x2F;issues&#x2F;11771</a>. I have an app which has certificate checking turned off due to this bug, I hope they&#x27;ll update the packaged nodejs sometime in the future.',
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-19T04:10:42.000Z",
    story_title:
      "TLS certificates specifying hosts via the CommonName field is more or less gone",
    story_url:
      "https://utcc.utoronto.ca/~cks/space/blog/tech/TLSCertificateCNMostlyGone",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "CodexArcanum", matchLevel: "none" },
    },
    _tags: ["comment", "author_CodexArcanum", "story_26178259"],
    _id: "60307ec8ed5f5948f723e489",
    objectID: "26187256",
    author: "CodexArcanum",
    comment_text:
      "There&#x27;s a theory on how the universe is structured that instead of space-time being like a uniform grid, a Cartesian space, that space-time is made up of nodes which are linked together. I guess kind of like a voronoi diagram in 4 dimensions. I wish I could remember the name of those theories.<p>If space-time is packed together in most places, then it might resemble a grid to us. This model works in a lot of interesting ways too: wormholes are just links between two otherwise unconnected regions, the curvature of ST can vary depending on the region, and time can flow at varying rates depending on how &quot;dense with time&quot; an area is.<p>One thing I like about it is that Planck units kind of just represent a minimal distance between nodes (indeed, the connections between nodes defines &quot;distance&quot; and &quot;duration&quot;) and everything else just falls out of the geometry of this ST graph.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T23:23:21.000Z",
    story_title: "The frame rate of the universe (2009)",
    story_url:
      "https://www.librador.com/2009/01/16/The-frame-rate-of-the-universe/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "doggosphere", matchLevel: "none" },
    },
    _tags: ["comment", "author_doggosphere", "story_26180342"],
    _id: "60307ec8ed5f5948f723e48a",
    objectID: "26187220",
    author: "doggosphere",
    comment_text:
      'What do you want to see?<p>Here&#x27;s a list of Ethereum nodes that are staking 32 ETH, attesting blocks, getting rewards and slashes:\n<a href="https:&#x2F;&#x2F;beaconcha.in&#x2F;validators" rel="nofollow">https:&#x2F;&#x2F;beaconcha.in&#x2F;validators</a><p>Roughly $5.6b in value staked, with no particular expectation date for being able to withdraw. That&#x27;s 2.55% of the total available ETH.',
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T23:19:58.000Z",
    story_title: "Nvidia announces mining GPUs, cripples hash rate of RTX-3060",
    story_url:
      "https://wccftech.com/nvidia-launches-cmp-30hx-40hx-50hx-and-90hx-gpus-for-mining-cripples-hash-rate-of-rtx-3060/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "tutfbhuf", matchLevel: "none" },
    },
    _tags: ["comment", "author_tutfbhuf", "story_26179566"],
    _id: "60307ec8ed5f5948f723e48b",
    objectID: "26186251",
    author: "tutfbhuf",
    comment_text:
      "But multiple nodes offers you resilience against node failures not just drive failures. And with Ceph you have the flexibility to add or remove single disks as you like. And you have multiple storage interface not just FS, but also S3 or block device if you like.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T21:58:49.000Z",
    story_title: "OpenZFS – dRAID, Finally",
    story_url: "https://klarasystems.com/articles/openzfs-draid-finally/",
  },
  {
    _highlightResult: {
      title: {
        matchedWords: [],
        value: "Linux Foundation offers free Node.js class",
        matchLevel: "none",
      },
      url: {
        matchedWords: ["nodejs"],
        value:
          "https://www.zdnet.com/article/linux-foundation-offers-free-<em>node-js</em>-class/",
        matchLevel: "full",
      },
      author: { matchedWords: [], value: "CrankyBear", matchLevel: "none" },
    },
    _tags: ["story", "author_CrankyBear", "story_26185994"],
    _id: "60307ec8ed5f5948f723e48c",
    objectID: "26185994",
    author: "CrankyBear",
    comment_text: null,
    num_comments: 0,
    points: 2,
    story_text: null,
    title: "Linux Foundation offers free Node.js class",
    url:
      "https://www.zdnet.com/article/linux-foundation-offers-free-node-js-class/",
    created_at: "2021-02-18T21:37:33.000Z",
    story_title: null,
    story_url: null,
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "secabeen", matchLevel: "none" },
    },
    _tags: ["comment", "author_secabeen", "story_26179566"],
    _id: "60307ec8ed5f5948f723e48d",
    objectID: "26184739",
    author: "secabeen",
    comment_text:
      "You might, but you might not.  I have an 140 disk array that just works.  Ceph would require multiple nodes, lots of tuning, maintenance, etc.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T20:06:18.000Z",
    story_title: "OpenZFS – dRAID, Finally",
    story_url: "https://klarasystems.com/articles/openzfs-draid-finally/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: {
        matchedWords: ["nodejs"],
        value: "<em>nodes</em>ocket",
        matchLevel: "full",
      },
    },
    _tags: ["comment", "author_nodesocket", "story_26182715"],
    _id: "60307ec8ed5f5948f723e48e",
    objectID: "26184256",
    author: "nodesocket",
    comment_text:
      "Indeed, it was easy for politicians to try and capitalize on the event (stock market rigged for the rich saga) when in reality it was financial regulation that caused RH to have to stop allowing buy orders in GME.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T19:21:28.000Z",
    story_title:
      "Robinhood CEO, Reddit Co-Founder and Others Testify on GameStop Stock",
    story_url:
      "https://www.c-span.org/video/?508545-1/robinhood-ceo-reddit-founder-testify-gamestop-stock-part-1&playEvent",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "munificent", matchLevel: "none" },
    },
    _tags: ["comment", "author_munificent", "story_26179943"],
    _id: "60307ec8ed5f5948f723e48f",
    objectID: "26183784",
    author: "munificent",
    comment_text:
      "<i>&gt; The more promises we make to each other, the more likely we are to be in a chain where somebody cannot keep their promise, which means that we are vulnerable to a cascade of failed promises.</i><p>You can think of a promise as an edge between nodes in a graph. A failure cascade occurs when removing a single edge causes many nodes to become unreachable.<p>Whether adding edges increases that change depends <i>entirely</i> on the topology of the graph. A long linear chain increases the risk. (But you have to implicitly create new nodes—new lenders—in order to maintain that topology while adding edges.)<p>But if you just add edges without increasing nodes, the result is that the graph becomes more connected and thus more resilient to edge loss. In other words, if you owe me $100 and don&#x27;t pay, I&#x27;m out $100. But if five people owe me $20 and one doesn&#x27;t pay, I still get $80 back.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T18:44:02.000Z",
    story_title: "Global debt soars to 356% of GDP",
    story_url:
      "https://www.axios.com/global-debt-gdp-898959ed-f96a-4c4d-85a3-5d3cc419631f.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "narrator", matchLevel: "none" },
    },
    _tags: ["comment", "author_narrator", "story_26181863"],
    _id: "60307ec8ed5f5948f723e490",
    objectID: "26183779",
    author: "narrator",
    comment_text:
      "Those BBS games back in the day were only 1 or 2 people though because they required one to tie up a phone line to play and most home setups couldn&#x27;t support more than a few nodes, at least until the 90s.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T18:43:37.000Z",
    story_title: "50 years of text games – 1977: Zork",
    story_url: "https://if50.substack.com/p/1977-zork",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: {
        matchedWords: [],
        value: "iforgotpassword",
        matchLevel: "none",
      },
    },
    _tags: ["comment", "author_iforgotpassword", "story_26179566"],
    _id: "60307ec8ed5f5948f723e491",
    objectID: "26183482",
    author: "iforgotpassword",
    comment_text:
      "It&#x27;s what we&#x27;re mainly using currently. Apart from a serious bug after an update that kept crashing nfsd on nodes about two years ago, it has been a very pleasant experience overall. We also use some netapp, but it&#x27;s a relatively small setup. We tried ceph before, and it seemed to support two modes of operation: Completely broken or rebalancing and thus very slow.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T18:22:44.000Z",
    story_title: "OpenZFS – dRAID, Finally",
    story_url: "https://klarasystems.com/articles/openzfs-draid-finally/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "ignoramous", matchLevel: "none" },
    },
    _tags: ["comment", "author_ignoramous", "story_26178518"],
    _id: "60307ec8ed5f5948f723e492",
    objectID: "26180074",
    author: "ignoramous",
    comment_text:
      'With all due respect to the author, I think the article kind of romanticizes start-up founders and their perils.<p>Amazon famously dubs itself with being the biggest startup in the world. There&#x27;s a company that espouses Clay Christensen&#x27;s philosophy of building enduring businesses. Over the years, a lot has been said and written about how Amazon manages to do it, I mean, this is better demonstrated by Jeff, its founder, whose wealth went from $10B in 1997 to $1B in 2002&#x2F;3, but still bet big on AWS (2003), Prime (2005), and Kindle (2007) in an unprecedented run of series of innovations that&#x27;d could have killed the company.<p>--<p>&quot;working backwards&quot;<p>I want to draw some parallels to the YC application process with how Amazon operates, from what I&#x27;ve read and what I&#x27;ve experienced as an ex-employee:<p>A lot of product development is funded at Amazon after review of what&#x27;s called a PR&#x2F;FAQ doc [0] (this is the &quot;working backwards from the customer&quot; part). The PR needs to clearly articulate in a headline or two what the product is about; whilst the first paragraph must present a complete summary of what the product would be in its v1 form at launch. The next few paragraphs detail the current problem and the proposed solution interlaced by imaginary quotes from would-be customers; and the concluding paragraph has a clear call-to-action on exactly how customers can make use of the proposed solution.<p>If you&#x27;ve ever filled out a YC form, you&#x27;d find yourself going through a similar exercise.<p>And on what merits is a product funded [1]?<p>- If it works, would it be really big?<p>- Is the customer &#x2F; target market well-served today?<p>- What in Amazon&#x27;s approach is the key differentiator? And is that compelling enough?<p>- Should &#x2F; can Amazon build it in-house, or do they need to buy some &#x2F; all of the expertise?<p>Again, pretty similar to the process YC has [2].<p>--<p>&quot;two-pizza teams&quot; [3]<p>The team that&#x27;s put together to run is encouraged to own the product end-to-end (&quot;single-threaded owners&quot; aka STOs), in the truest sense of the word: That is they&#x27;re free to duplicate effort, not be beholden to another team&#x27;s priorities, build whatever they need to, buy whatever they need to, and so on... Other STOs running existing but overlapping business or businesses at the risk of being cannibalized by this newer one do not absolutely get any say. This approach to incubating newer products within Amazon is what led them to build AWS in the first place, because they didn&#x27;t want various internal engineering teams to be truly duplicating their efforts in building &quot;undifferentiated parts of their businesses&quot; which, on the Internet, is building all that Infrastructure required to start small and yet be able to scale. AWS, interestingly, itself was removed &#x2F; isolated from Amazon&#x27;s Infrastructure team at the time and was completely a separate under-taking (there&#x27;s probably a Harvard case-study in there somewhere demonstrating the effectiveness of STOs).<p>--<p>&quot;disrupt yourself&quot;<p>The other thing Amazon does is it is truly customer-focused as opposed to product-focused or competitor-focused. If I were to take the example of Android: How many customers do Google have a direct line to? If you are a FireOS user, you could chat with customer service about its annoyances, send an email to kindle-feedback@ or even escalate it to jeff@ and all those complaints are root-caused and fixed to whatever extent deemed necessary, with FireOS MayDay being an extreme example of this customer-obsession. Amazon believes in listening to its customers and disrupting its own cash-cows if it means it delivers value to the customer. No one flinches a bit in taking these decisions.<p>--<p>&quot;you can&#x27;t fight gravity&quot; [4]<p>As opposed to reacting technology changes constantly and riding the wave, Bezos instead believed in focusing on universal constants (like gravity) that never change: For example, for Amazon&#x27;s e-commerce business, those constants are customers would always want lower prices, larger selection, and faster deliveries&quot;. That was never going to change. But this simple framework then lets his management team decide on what bets to take with respect to technologies that help move the needle in the right direction, because if they don&#x27;t, someone else will eat their lunch by doing those three things.<p>--<p>&quot;the best way to predict the future is to invent it&quot;<p>To truly create an atmosphere of invention within Amazon, there are a lot of processes in-place, to make sure bureaucracy (&quot;a single no&quot; vs &quot;a lot of yes&quot;) doesn&#x27;t kill a promising idea. Of course, there&#x27;s nuisance here, in that some decisions need to be carefully vetted (&quot;one-way doors&quot;) vs ones that needn&#x27;t be (&quot;two-way doors&quot;) and the key is knowing which is which (and escalate when in doubt).<p>--<p>&quot;simplify&quot;<p>If you follow AWS, you&#x27;d know how primitive and lacking the v1s really are: For instance, Lambda launched with just NodeJS support with no observability story of note, no &quot;local development&quot; environment, no support for other runtimes, and just 1 minute of execution time. This stems from the PR&#x2F;FAQ process (distill down the v1 to the absolute minimum but deliver comprehensive value to the under-served) and two-pizza teams (too many resources to work on a problem is never approved of, so it is paramount to do things that don&#x27;t scale for the v1).<p>--<p>This isn&#x27;t to say Amazon hasn&#x27;t been disrupted at all: It has been, by instacart, daipers.com, doordash among some examples that come to mind.<p>I am no expert (either in the ways of the likes of Amazon or the nimble start-ups), but I believe that to reduce innovation &#x2F; invention being a playground for start-ups just because they&#x27;ve no access to a &quot;fancy cafeteria&quot; is telling half the story [5] and probably misinterpreting symptoms for cause.<p>[0] <a href="https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=aFdpBqmDpzM" rel="nofollow">https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=aFdpBqmDpzM</a><p>[1] <a href="https:&#x2F;&#x2F;www.hbs.edu&#x2F;forum-for-growth-and-innovation&#x2F;podcasts&#x2F;disruptive-voice&#x2F;Pages&#x2F;podcast-details.aspx?episode=15834284" rel="nofollow">https:&#x2F;&#x2F;www.hbs.edu&#x2F;forum-for-growth-and-innovation&#x2F;podcasts...</a><p>[2] YC also fund all sorts of &quot;uninteresting&quot; ideas too (from outside, what looks like a spread and pray, but is likely a heuristic that they are working off of from).<p>[3] <a href="https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=XavPl5t9dS8" rel="nofollow">https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=XavPl5t9dS8</a><p>[4] <a href="https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=O4MtQGRIIuA" rel="nofollow">https:&#x2F;&#x2F;www.youtube.com&#x2F;watch?v=O4MtQGRIIuA</a><p>[5] I mean, at the end of the day, Waymo wasn&#x27;t even a startup by the time Google acquired it and also it isn&#x27;t like Google doesn&#x27;t have a track record of successful acquisitions...',
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T14:22:50.000Z",
    story_title:
      "Why There’s No Such Thing as “A Startup Within a Big Company”",
    story_url:
      "https://hunterwalk.medium.com/why-theres-no-such-thing-as-a-startup-within-a-big-company-c3003615f3bc",
  },
  {
    _highlightResult: {
      title: {
        matchedWords: [],
        value:
          "Ask HN: Practical applications of algorithms and data structures",
        matchLevel: "none",
      },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "curtisblaine", matchLevel: "none" },
    },
    _tags: ["story", "author_curtisblaine", "story_26179337", "ask_hn"],
    _id: "60307ec8ed5f5948f723e493",
    objectID: "26179337",
    author: "curtisblaine",
    comment_text: null,
    num_comments: 0,
    points: 5,
    story_text:
      "It&#x27;s easy to find information about algorithms and data structures. But where can I find books or articles about the practical applications of algorithms and data structures to solve a real-world problem?\nFor example:<p>- Building secondary indexes on ordered sets (with Redis, but valid for any implementation of ordered sets): https:&#x2F;&#x2F;redis.io&#x2F;topics&#x2F;indexes<p>- Building a graph database (hexastore) on top of a ordered key value store: http:&#x2F;&#x2F;nodejsconfit.levelgraph.io&#x2F;<p>- key-value store using the append log data structure: https:&#x2F;&#x2F;www.poeticoding.com&#x2F;build-a-simple-persistent-key-value-store-in-elixir-using-logs-part-1&#x2F;",
    title: "Ask HN: Practical applications of algorithms and data structures",
    url: null,
    created_at: "2021-02-18T13:04:26.000Z",
    story_title: null,
    story_url: null,
  },
  {
    _highlightResult: {
      title: {
        matchedWords: [],
        value: "Node.js – v15.9.0",
        matchLevel: "none",
      },
      url: {
        matchedWords: ["nodejs"],
        value: "https://<em>nodejs</em>.org/en/blog/release/v15.9.0/",
        matchLevel: "full",
      },
      author: { matchedWords: [], value: "bricss", matchLevel: "none" },
    },
    _tags: ["story", "author_bricss", "story_26179169"],
    _id: "60307ec8ed5f5948f723e494",
    objectID: "26179169",
    author: "bricss",
    comment_text: null,
    num_comments: 0,
    points: 2,
    story_text: null,
    title: "Node.js – v15.9.0",
    url: "https://nodejs.org/en/blog/release/v15.9.0/",
    created_at: "2021-02-18T12:46:14.000Z",
    story_title: null,
    story_url: null,
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "aero-glide2", matchLevel: "none" },
    },
    _tags: ["comment", "author_aero-glide2", "story_26174915"],
    _id: "60307ec8ed5f5948f723e495",
    objectID: "26176346",
    author: "aero-glide2",
    comment_text: "what do edge nodes mean here? The user terminals?",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T05:39:11.000Z",
    story_title: "Starlink is now Accepting General Pre-orders",
    story_url: "https://www.starlink.com/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "marc__1", matchLevel: "none" },
    },
    _tags: ["comment", "author_marc__1", "story_26174915"],
    _id: "60307ec8ed5f5948f723e496",
    objectID: "26175788",
    author: "marc__1",
    comment_text:
      "Maybe naive question, but what are the tech and&#x2F;or economical hurdles that impede &#x27;edge&#x27; nodes to become satellites now that Starlink is approaching a large scale?",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T04:26:02.000Z",
    story_title: "Starlink is now Accepting General Pre-orders",
    story_url: "https://www.starlink.com/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "dekhn", matchLevel: "none" },
    },
    _tags: ["comment", "author_dekhn", "story_26172690"],
    _id: "60307ec8ed5f5948f723e497",
    objectID: "26174566",
    author: "dekhn",
    comment_text:
      "Google Cloud Storage.  The files could be dumped as tfrecord in a bucket with &quot;requester pays&quot;.  So anybody could reproduce it using the open source code, by paying for the costs incurred to move the data from GCS to the training nodes.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T02:00:53.000Z",
    story_title:
      "Google Open-Sources Trillion-Parameter AI Language Model Switch Transformer",
    story_url:
      "https://www.infoq.com/news/2021/02/google-trillion-parameter-ai/",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "EGreg", matchLevel: "none" },
    },
    _tags: ["comment", "author_EGreg", "story_26144465"],
    _id: "60307ec8ed5f5948f723e498",
    objectID: "26173949",
    author: "EGreg",
    comment_text:
      "Definitely love MaidSAFE. I asked them several times how they recover from corrupted section consensus and they say they don’t. Vitalik Buterin has a problem with that, as do I. But I guess churn eventually recovers it right?<p>If you have a lot of sleeper nodes coordinate a google attack the network is unrecoverable though...",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-18T00:41:54.000Z",
    story_title: "Parler is back online after a month of downtime",
    story_url:
      "https://www.theverge.com/2021/2/15/22284036/parler-social-network-relaunch-new-hosting",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "ad31mar", matchLevel: "none" },
    },
    _tags: ["comment", "author_ad31mar", "story_26153323"],
    _id: "60307ec8ed5f5948f723e499",
    objectID: "26172975",
    author: "ad31mar",
    comment_text: "Nopes. Full nodes.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-17T22:58:11.000Z",
    story_title: "Bitcoin surpasses $50K as major companies jump into crypto",
    story_url:
      "https://www.cnbc.com/2021/02/16/bitcoin-btc-price-hits-50000-for-the-first-time.html",
  },
  {
    _highlightResult: {
      title: { matchedWords: [] },
      url: { matchedWords: [] },
      author: { matchedWords: [], value: "jiofih", matchLevel: "none" },
    },
    _tags: ["comment", "author_jiofih", "story_26154509"],
    _id: "60307ec8ed5f5948f723e49a",
    objectID: "26171190",
    author: "jiofih",
    comment_text:
      "Yeah, technically better, at the cost of huge complexity.<p>CommonJS was easy to implement anywhere and dead simple. We only need static analyzers and tree-shaking optimizations because the JS ecosystem went wild on dependencies. I honestly think we were better off 10 years ago.<p>&gt; NodeJS never attempted to be compatible with the Web<p>It goes the other way around? Node caved in and support modules now, what has been done in tc-39 for web modules to be compatible with node (considering it predates all of it)?<p>There is no “JS community vs Node community” btw.",
    num_comments: null,
    points: null,
    story_text: null,
    title: null,
    url: null,
    created_at: "2021-02-17T20:22:47.000Z",
    story_title: "Why Is Esbuild Fast?",
    story_url: "https://esbuild.github.io/faq/#why-is-esbuild-fast",
  },
];

describe("HN Feed", () => {
  beforeAll(() => {
    jest.useFakeTimers("modern");
    jest.setSystemTime(new Date("2021-02-20T05:20:43.000Z"));
  });

  test("Feed displays", async () => {
    axios.get.mockResolvedValue(Promise.resolve({ data: responseMock }));
    render(<App />);

    expect(await screen.findByText("Why Is Esbuild Fast?")).toBeInTheDocument();
    // screen.debug(null, 30000);
  });
});
